# -*- coding: utf-8 -*-

from rest_framework import serializers
from rest_framework.fields import empty

from .. import models


class GenericSerializer(serializers.ModelSerializer):
    class Meta:
        model = None
        fields = None

    def get_my_fields(self):
        fields = []
        if hasattr(self.model, 'get_fields'):
            fields = self.model.get_fields()
        if hasattr(self.model, 'get_context_data'):
            # fields.append('get_context_data')
            pass
        return fields

    def __init__(self, instance=None, data=empty, **kwargs):
        self.model = kwargs.pop('model')
        self.Meta.model = self.model
        self.Meta.fields = self.get_my_fields()
        super(GenericSerializer, self).__init__(instance, data, **kwargs)


class PluginSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Plugin
        fields = '__all__'


class PluginSerializerRetrieve(serializers.ModelSerializer):
    child_data = serializers.SerializerMethodField()

    class Meta:
        model = models.Plugin
        fields = ('child_data',)

    def get_child_data(self, obj):
        return obj.get_related_model_serialized_data()


class PageSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Page
        fields = '__all__'


class NavSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Nav
        fields = '__all__'


class PageLanguageSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.PageLanguage
        fields = '__all__'


class PageLanguagePluginsSerializer(serializers.ModelSerializer):
    plugins = PluginSerializerRetrieve(many=True, read_only=True)

    class Meta:
        model = models.PageLanguage
        fields = '__all__'
