# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('sites', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(max_length=255, verbose_name='page')),
                ('creator', models.ForeignKey(related_name='txcms_page_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='txcms_page_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('site', models.ForeignKey(related_name='pages', verbose_name='site', to='sites.Site')),
            ],
            options={
                'ordering': ('ordering', 'name'),
                'verbose_name': 'page',
                'verbose_name_plural': 'pages',
            },
        ),
        migrations.CreateModel(
            name='PageLanguage',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('language', models.CharField(max_length=2, verbose_name='language', choices=settings.LANGUAGES)),
                ('is_in_menu', models.BooleanField(default=False, verbose_name='is in menu')),
                ('template_name', models.CharField(max_length=255, verbose_name='template name')),
                ('title', models.CharField(max_length=255, verbose_name='title', blank=True)),
                ('author', models.CharField(default=b'', max_length=255, verbose_name='author', blank=True)),
                ('meta_description', models.CharField(max_length=255, verbose_name='meta description', blank=True)),
                ('meta_keywords', models.CharField(max_length=255, verbose_name='meta keywords', blank=True)),
                ('ga_code', models.CharField(default=b'', max_length=10, verbose_name='ga code', blank=True)),
                ('google_site_verification', models.CharField(default=b'', max_length=10, verbose_name='google site verification', blank=True)),
                ('creator', models.ForeignKey(related_name='txcms_pagelanguage_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='txcms_pagelanguage_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('page', models.ForeignKey(related_name='page_languages', verbose_name='page', to='txcms.Page')),
            ],
            options={
                'ordering': ('page', 'language', 'ordering', 'name'),
                'verbose_name': 'pagelanguage ',
                'verbose_name_plural': 'page languages',
            },
        ),
        migrations.CreateModel(
            name='Plugin',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(unique=True, max_length=255, verbose_name='name')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(unique=True, max_length=255, verbose_name='slug')),
                ('language', models.CharField(max_length=2, verbose_name='language', choices=settings.LANGUAGES)),
                ('template_name', models.CharField(max_length=255, null=True, verbose_name='template name', blank=True)),
                ('plugin_type', models.CharField(max_length=255, verbose_name='plugin type')),
                ('creator', models.ForeignKey(related_name='txcms_plugin_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='txcms_plugin_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('page_language', models.ForeignKey(related_name='plugins', verbose_name='page language', blank=True, to='txcms.PageLanguage', null=True)),
                ('site', models.ForeignKey(related_name='plugins', verbose_name='site', to='sites.Site')),
            ],
            options={
                'ordering': ('ordering', 'title'),
                'verbose_name': 'plugin',
                'verbose_name_plural': 'plugins',
            },
        ),
        migrations.AlterUniqueTogether(
            name='pagelanguage',
            unique_together=set([('page', 'language'), ('language', 'slug')]),
        ),
        migrations.AlterUniqueTogether(
            name='page',
            unique_together=set([('name', 'site')]),
        ),
    ]
