# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('txcms', '0009_remove_plugin_template_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='MenuAggregator',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('name', models.CharField(unique=True, max_length=255, verbose_name='name')),
                ('slug', models.SlugField(unique=True, max_length=255, verbose_name='slug')),
                ('creator', models.ForeignKey(related_name='txcms_menuaggregator_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='txcms_menuaggregator_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'menu aggregator',
                'verbose_name_plural': 'menu aggregators',
            },
        ),
        migrations.AlterModelOptions(
            name='pagelanguage',
            options={'ordering': ('page__site', 'language', 'ordering', 'name'), 'verbose_name': 'pagelanguage', 'verbose_name_plural': 'page languages'},
        ),
        migrations.AlterField(
            model_name='pagelanguage',
            name='author',
            field=models.CharField(default=b'<to set>', max_length=255, verbose_name='author', blank=True),
        ),
        migrations.AlterField(
            model_name='pagelanguage',
            name='template_name',
            field=models.CharField(max_length=255, verbose_name='template name', choices=[(b'site/home.html', 'page A'), (b'site/contact.html', 'page B')]),
        ),
        migrations.AddField(
            model_name='pagelanguage',
            name='menu_aggregators',
            field=models.ManyToManyField(related_name='page_languages', verbose_name='menu aggregators', to='txcms.MenuAggregator', blank=True),
        ),
    ]
