# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('txcms', '0010_auto_20160406_0559'),
    ]

    operations = [
        migrations.CreateModel(
            name='Nav',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('name', models.CharField(unique=True, max_length=255, verbose_name='name')),
                ('slug', models.SlugField(unique=True, max_length=255, verbose_name='slug')),
                ('creator', models.ForeignKey(related_name='txcms_nav_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='txcms_nav_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'menu aggregator',
                'verbose_name_plural': 'menu aggregators',
            },
        ),
        migrations.RemoveField(
            model_name='menuaggregator',
            name='creator',
        ),
        migrations.RemoveField(
            model_name='menuaggregator',
            name='last_modifier',
        ),
        migrations.RemoveField(
            model_name='pagelanguage',
            name='is_in_menu',
        ),
        migrations.RemoveField(
            model_name='pagelanguage',
            name='menu_aggregators',
        ),
        migrations.DeleteModel(
            name='MenuAggregator',
        ),
        migrations.AddField(
            model_name='pagelanguage',
            name='navs',
            field=models.ManyToManyField(related_name='page_languages', verbose_name='navs', to='txcms.Nav', blank=True),
        ),
    ]
