# coding: utf-8
from django import template

register = template.Library()


@register.filter
def get_type(value):
    return value.__class__.__name__


@register.filter
def get_dict(value):
    return_dict = value.__dict__.copy()
    for key in return_dict.keys():
        if key.startswith('_'):
            return_dict.pop(key)
    return return_dict


@register.filter
def get_pagelanguage_by_nav(nav_dict, nav_father):
    """
    get_pagelanguage_by_nav return a pagelanguage list filtered by nav
    :param nav_dict: from thux.txcms.utils import get_navs
    :param nav_father: nav slug
    :return: list of pagelanguages
    """
    return nav_dict.get(nav_father, '')
